Bug 478544 - Yanking gspca-based USB webcam when in use results in khubd eating CPU
Yanking gspca-based USB webcam when in use results in khubd eating CPU
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-12-31 13:22 EST by James
Modified: 2009-01-08 10:00 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.6.28-3.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-08 10:00:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description James 2008-12-31 13:22:56 EST
Description of problem:
I have a pac207-based webcam using the gspca driver:

usb 5-1: new full speed USB device using ohci_hcd and address 8
usb 5-1: device descriptor read/64, error -62
usb 5-1: configuration #1 chosen from 1 choice
gspca: probing 093a:2468
pac207: Pixart Sensor ID 0x27 Chips ID 0x00
pac207: Pixart PAC207BCA Image Processor and Control Chip detected (vid/pid 0x093A:0x2468)
gspca: probe ok
usb 5-1: New USB device found, idVendor=093a, idProduct=2468
usb 5-1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
usb 5-1: Product: CIF Single Chip     
usb 5-1: Manufacturer: Pixart Imaging Inc. 

If I pull the plug on it when it's in use (e.g. with Cheese), khubd starts spinning until I close the application that opened the camera.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Attach camera.
2. Start Cheese, wait for live view to start.
3. Pull camera plug.
4. Observe CPU usage.
5. Close Cheese.
Comment 1 James 2009-01-01 07:43:17 EST
This is fixed in rawhide, not seen in kernel-2.6.28-3.fc11.i686.

Note You need to log in before you can comment on or make changes to this bug.